import React, { useState, useEffect } from 'react';
import { Radio } from 'antd';
import PrivateCustomer from './PrivateCustomer';

function Customer(props) {
  const [customerType, setCustomerType] = useState('private');

  return (
    <>
      <div style={{ margin: '20px 0' }}>
        <Radio.Group
          value={customerType}
          onChange={e => {
            setCustomerType(e.target.value);
          }}
          buttonStyle="solid"
        >
          <Radio.Button value="private">私客</Radio.Button>
          <Radio.Button value="public">公客</Radio.Button>
        </Radio.Group>
      </div>
      <div>
        <PrivateCustomer></PrivateCustomer>
      </div>
    </>
  );
}

export default Customer;
